'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = _interopDefault(require('react'));
var lettersanitizer = require('lettersanitizer');

var Letter = /*#__PURE__*/React.memo(function (_ref) {
  var className = _ref.className,
      html = _ref.html,
      iframeTitle = _ref.iframeTitle,
      rewriteExternalLinks = _ref.rewriteExternalLinks,
      rewriteExternalResources = _ref.rewriteExternalResources,
      allowedSchemas = _ref.allowedSchemas,
      preserveCssPriority = _ref.preserveCssPriority,
      text = _ref.text,
      useIframe = _ref.useIframe;
  var sanitizedHtml = lettersanitizer.sanitize(html, text, {
    rewriteExternalResources: rewriteExternalResources,
    rewriteExternalLinks: rewriteExternalLinks,
    allowedSchemas: allowedSchemas,
    preserveCssPriority: preserveCssPriority
  });

  if (useIframe) {
    return React.createElement("div", {
      className: className
    }, React.createElement("iframe", {
      srcDoc: sanitizedHtml,
      title: iframeTitle
    }));
  }

  return React.createElement("div", {
    className: className,
    dangerouslySetInnerHTML: {
      __html: sanitizedHtml
    }
  });
});

exports.Letter = Letter;
//# sourceMappingURL=react-letter.cjs.development.js.map
